//------------------------------------------------------------------------
//
// OpenDCC -  DCC Sniffer
//
// Copyright (c) 2006 Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
// 
//------------------------------------------------------------------------
//
// file:      external_trig.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2008-05-15 V0.1 kw start
//
//------------------------------------------------------------------------
//
// purpose:   DCC sniffer, here: hardware interface for external trigger input.
//
//------------------------------------------------------------------------




void init_trigger(void);

unsigned char trigger_poll(void);
// returns: 0xff if no change
//             0 if deactivated
//             1 if activated


